ForwardUrlMappingInfo (Grails 6.0.0)

Package: org.grails.web.mapping

## [Groovy] Class ForwardUrlMappingInfo

- org.grails.web.mapping.ForwardUrlMappingInfo

-     @groovy.transform.CompileStatic
      class ForwardUrlMappingInfo
      extends AbstractUrlMappingInfo

  A customizable UrlMappingInfo instance used for forwards and includes.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `URI` |
    `private java.lang.String` | `actionName` |
    `private java.lang.String` | `controllerName` |
    `private java.lang.String` | `httpMethod` |
    `private java.lang.String` | `id` |
    `private java.lang.String` | `namespace` |
    `private java.util.Map` | `parameters` |
    `private java.lang.String` | `pluginName` |
    `private java.lang.String` | `version` |
    `private java.lang.String` | `viewName` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractUrlMappingInfo` | `params`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `URI`
    `java.lang.String` | `action`
    `java.lang.String` | `actionName`
    `java.lang.String` | `controller`
    `java.lang.String` | `controllerName`
    `java.lang.String` | `httpMethod`
    `java.lang.String` | `id`
    `java.lang.String` | `namespace`
    `java.util.Map` | `parameters`
    `java.util.Map` | `params`
    `java.lang.String` | `pluginName`
    `java.lang.String` | `version`
    `java.lang.String` | `view`
    `java.lang.String` | `viewName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ForwardUrlMappingInfo ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getAction()`
    `` | `java.lang.String` | `getController()`
    `` | `java.util.Map` | `getParameters()`
    `` | `java.util.Map<java.lang.String, java.lang.Object>` | `getParams()`
    `` | `UrlMappingData` | `getUrlData()`
    `` | `java.lang.String` | `getView()`
    `` | `boolean` | `isParsingRequest()`
    `` | `void` | `setAction(java.lang.String action)`
    `` | `void` | `setController(java.lang.String controller)`
    `` | `void` | `setNamespace(java.lang.String namespace)`
    `` | `void` | `setParams(java.util.Map params)`
    `` | `void` | `setPluginName(java.lang.String plugin)`
    `` | `void` | `setView(java.lang.String view)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractUrlMappingInfo` | `compare, configure, evaluateNameForValue, evaluateNameForValue, getParams, getRedirectInfo, populateParamsForMapping, setParams`

- - ### Field Detail

    - #### private java.lang.String URI

    - #### private java.lang.String actionName

    - #### private java.lang.String controllerName

    - #### private java.lang.String httpMethod

    - #### private java.lang.String id

    - #### private java.lang.String namespace

    - #### private java.util.Map parameters

    - #### private java.lang.String pluginName

    - #### private java.lang.String version

    - #### private java.lang.String viewName

  - ### Property Detail

    - #### java.lang.String URI

    - #### java.lang.String action

    - #### java.lang.String actionName

    - #### java.lang.String controller

    - #### java.lang.String controllerName

    - #### java.lang.String httpMethod

    - #### java.lang.String id

    - #### java.lang.String namespace

    - #### java.util.Map parameters

    - #### java.util.Map params

    - #### java.lang.String pluginName

    - #### java.lang.String version

    - #### java.lang.String view

    - #### java.lang.String viewName

  - ### Constructor Detail

    - #### ForwardUrlMappingInfo()

  - ### Method Detail

    - #### java.lang.String getAction()

    - #### java.lang.String getController()

    - #### java.util.Map getParameters()

    - #### java.util.Map<java.lang.String, java.lang.Object> getParams()

    - #### @java.lang.Override UrlMappingData getUrlData()

    - #### java.lang.String getView()

    - #### boolean isParsingRequest()

    - #### void setAction(java.lang.String action)

    - #### void setController(java.lang.String controller)

    - #### void setNamespace(java.lang.String namespace)

    - #### void setParams(java.util.Map params)

    - #### void setPluginName(java.lang.String plugin)

    - #### void setView(java.lang.String view)